Subject: Linux help files by Mail.
From: [email-masked] ([email-masked])
Date: Thu, 7 Apr 1994 22:44:09 GMT
Newsgroups: comp.os.linux.announce

OK, I've completely rewrote my server and tested it enough to be certain
your requests won't be circular filed.

Both hpl3.cern.ch and physics.purdue.edu are now running the new software.
It seems that most people were ignoring my request to limit the number of
files requested to 8/day, so instead you are allowed as many as you want
but my mail.handler will queue any requests that arrive between 8:00am and
12:00pm until after 12:00pm and anything between 12:30 and 5:00pm until
after 5:00pm.   Since most of the users of this service are using very
slow mail feeds anyways, I don't see this as a significant restriction.

Here is the new help file:
------------------------------------------------------------------------------
------------------------------------------------------------------------------
Linux mail handler!

This service is intended for those without ftp access.  If you do
have ftp access, ftp bohr.physics.purdue.edu instead of use the
mail handler.

Info on linux kits, and list Xconfig files.  How  does it work?
You send a message to:

  [email-masked]    (U.S. server)
  [email-masked]          (European server)

Your subject line will determine what information you are sent.  The
following subject lines are recognized.  My mail handler attempts
to correct common errors, if the subject still isn't recognized
your message is forwarded to me as e-mail.

SUBJECT                           ACTION (commands the mail handler)
------------------------ ----------------------------------------------
ascii                    don't use uuencode and gzip
binary                   use uuencode and gzip
silent			 silently forwards your message to me
bugs			 SAME AS silent
re:                      SAME AS silent  (i.e. I recieve replies...)
------------------------ ----------------------------------------------
SUBJECT                           ACTION (mails you)
------------------------ ------------------------------Updated: 20MAR94
help                     An updated version of this file
xconfig-file             A list of Xconfig files available
------------------------ ------------------------------Updated:  3:38am
faq-gcc			 FAQ about GCC
faq-lilo		 FAQ about LILO (boot loader)
faq-ext2fs 		 FAQ about ext2fs (Linux filesystem type)
faq-linux		 The general Linux FAQ (plain text)
faq-nfs			 FAQ about NFS
------------------------ ------------------------------Updated: 20MAR94
install-guide C		 The Linux Installation Guide 2.0 Contents
install-guide 1          Chapter 1, Introduction
install-guide 2          Chapter 2, Getting  Linux, a few ways to get it
install-guide 3          Chapter 3, Installing Linux
install-guide 4          Chapter 4, Linux Tutorial, UNIX introduction
install-guide 5          Chapter 5, System Administration
install-guide 6          Chapter 6, Advanced Features
install-guide A          Appendix, all the Appendixes
install-guide C 1 2 3 4 5 6 A    The whole guide (8 letters)
------------------------ ------------------------------Updated:  3:38am
howto-distribution	 Distributions of the Linux software
howto-ethernet		 Using Ethernet cards and networks
howto-ftape		 Using QIC ftape drivers for Linux
howto-index		 INDEX to HOWTO docs (READ ME!)
howto-hardware		 Hardware compatibility list
howto-info		 Basic Linux information
howto-Installation	 Getting and Installing Linux
howto-meta		 Linux sources of information
howto-mail		 Using electronic mail with Linux
howto-mgr		 The MGR windowing system for Linux
howto-net2		 Configuring NET-2 (TCP/IP) software for Linux
howto-news		 Setting up USENET news for Linux
howto-printing		 Printing and configuring printing software
howto-scsi		 Using and configuring SCSI devices 
howto-serial		 Information on serial devices and communications
howto-sound		 Using sound-related hardware and software
howto-uucp		 Setting up UUCP with Linux
howto-xfree86		 Installing and configuring X-Windows for Linux
------------------------ ------------------------------Updated:    1993
unix-faq c               The comp.unix.questions FAQ table of contents 
unix-faq 1               General questions.
unix-faq 2               Relatively basic questions, asked by beginners
unix-faq 3               Intermediate questions.
unix-faq 4               Advanced questions
unix-faq 5               Questions pertaining to the various shells.
unix-faq 6               An overview of Unix variants.
unix-faq 7               An comparison of configuration management sys.
unix-faq c 1 2 3 4 5 6 7 The full comp.unix.questions FAQ
------------------------ ----------------------------------------------
<anything else>          delivers an error, and forwards your message 
------------------------ ----------------------------------------------

  NOTE1: If your mail server does not support a subject line, send a message
  with the key-word SUBJECT: followed by one of the above subjects.

  NOTE2: Most of the help files are posted in comp.os.linux.announce
  if you have access to this newsgroup obtain the HELP and FAQ files
  there!  

  NOTE3: Additional files are avialable by mail at the following address:
          [email-masked]
         Please include the subject "help" in the body of your message. 
         Also try [email-masked].  In the future I may begin routing
         some requests through this address...

------------------------------------------------------------------------------
------------------------------------------------------------------------------

As a finial note, I've had quite a few requests for the software I'm using
to process these requests, I've uploaded a copy to sunsite.unc.edu.  Here is
the lsm:

Begin2
Title        = BCR Mail Handler
Version      = 3.00
Desc1        = This is a set of programs for automatically replying to file
Desc2        = requests via e-mail.
Author       = Bill C. Riemers
AuthorEmail  = [email-masked]
Site1        = sunsite.unc.edu
Path1        = /pub/Linux/???
File1        = BCRMailHandler300
FileSize1    = 13k
Required1    = A C compiler, and an internet e-mail address.
CopyPolicy1  = GNU Copy Left: See notice in the file. 
Keywords     = mail file request
Comment1     = This program is currently in use on a Titan and an HP.  It
Comment2     = compiles cleanly under Linux, but I haven't tested it yet.
RelFiles1    = This is the first public release.
Entered      = 07APR94
EnteredBy    = Bill C. Riemers
End

                  Have fun,

                           Bill

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.